Получение списка мобильных блоков
Request
GET
https://partner.yandex.ru/api/mobile/adunit
Partner API
Query parameters
|
Name |
Description |
|
filter |
Type: MobileAdUnitFilter Параметры фильтрации мобильных блоков Examples``
|
|
pageable |
Type: Pageable Параметры постраничного вывода Examples``
|
AdUnitStatus
Type: string
Enum: UNKNOWN, ENABLED, ARCHIVED
MobileAdUnitFilter
Параметры фильтрации мобильных блоков
|
Name |
Description |
|
appIds |
Type: integer[] Unique items: Example
|
|
status |
Type: AdUnitStatus[] Статусы искомых блоков Default: Unique items: Example
|
Example
{
"appIds": [
1001,
1015
],
"status": "ENABLED"
}
Pageable
Параметры постраничного вывода
|
Name |
Description |
|
page |
Type: integer Номер страницы (zero-based) Default: Min value: |
|
size |
Type: integer Размер страницы Default: Min value: Max value: |
Example
{
"page": 0,
"size": 20
}
Responses
200 OK
OK
Body
application/json
{
"data": [
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": null,
"type": "example"
}
],
"warnings": [
"example"
]
}
|
Name |
Description |
|
data |
Type: MobileAdUnit[] Example
|
|
warnings |
Type: string[] Example
|
Strategy
Стратегия управления рекламным трафиком
|
Name |
Description |
|
type |
Type: string Тип стратегии Example: |
Example
{
"type": "example"
}
MaxRevenueStrategy
Не ограничивает стоимость показа
All of 1 type
-
Type: Strategy
Стратегия управления рекламным трафиком
Example
{ "type": "example" }
Example
{
"type": "example"
}
MinCpmStrategy
Порог определяет стоимость тысячи видимых показов
All of 2 types
-
Type: Strategy
Стратегия управления рекламным трафиком
Example
{ "type": "example" } -
Type: object
mincpm
Type: number
Значение порога
Example
{ "mincpm": 0.5 }
Example
{
"type": "example",
"mincpm": 0.5
}
MinCpmVStrategy
Deprecated
Порог определяет стоимость тысячи видимых показов (Deprecated)
All of 2 types
-
Type: Strategy
Стратегия управления рекламным трафиком
Example
{ "type": "example" } -
Type: object
mincpm
Type: number
Значение порога
Example
{ "mincpm": 0.5 }
Example
{
"type": "example",
"mincpm": 0.5
}
MinECpmStrategy
Deprecated
Порог определяет стоимость тысячи показов (Deprecated)
All of 2 types
-
Type: Strategy
Стратегия управления рекламным трафиком
Example
{ "type": "example" } -
Type: object
mincpm
Type: number
Значение порога
Example
{ "mincpm": 0.5 }
Example
{
"type": "example",
"mincpm": 0.5
}
BaseMobileAdUnit
|
Name |
Description |
|
applicationId |
Type: number Идентификатор приложения |
|
id |
Type: string Идентификатор блока Min length: Pattern: Example: |
|
type |
Type: string Тип блока или тип операции над ним Example: |
|
caption |
Type: string Описание Min length: Max length: Example: |
|
createDate |
Type: string<date-time> Дата создания блока Example: |
|
editable |
Type: boolean Допустимость редактирования |
|
status |
Type: AdUnitStatus Текущий статус Enum: |
|
strategy |
One of 4 types
Стратегия управления рекламным трафиком, пороги CPM Example
|
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
AppOpenMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Блок рекламы при открытии
Type: unknown
Блок рекламы при открытии
Example:
null
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
RewardedMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: Блок с вознаграждением
currencyType
Type: string
Название внутренней валюты приложения
Min length:
1Max length:
64Example:
examplecurrencyValue
Type: number
Сумма вознаграждения за просмотр во внутренней валюте приложения
Min value:
0Max value:
100000000Блок с вознаграждением
Example
{ "currencyType": "example", "currencyValue": 0 }
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example",
"currencyType": "example",
"currencyValue": 0
}
BannerMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Баннер
Type: unknown
Баннер
Example:
null
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
NativeMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Блок нативной рекламы
Type: unknown
Блок нативной рекламы
Example:
null
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
InterstitialMobileAdUnit
All of 2 types
-
Type: BaseMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Блок межстраничной рекламы
Type: unknown
Блок межстраничной рекламы
Example:
null
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": {
"type": "example"
},
"type": "example"
}
MobileAdUnit
One of 5 types
-
Type: AppOpenMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: RewardedMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example", "currencyType": "example", "currencyValue": 0 } -
Type: BannerMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: NativeMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" } -
Type: InterstitialMobileAdUnit
Example
{ "applicationId": 0.5, "caption": "example", "createDate": "2025-01-01T00:00:00Z", "editable": true, "id": "example", "status": "UNKNOWN", "strategy": { "type": "example" }, "type": "example" }
Example
{
"applicationId": 0.5,
"caption": "example",
"createDate": "2025-01-01T00:00:00Z",
"editable": true,
"id": "example",
"status": "UNKNOWN",
"strategy": null,
"type": "example"
}